package initialize

import (
	"time"

	"gitea.pena/PenaSide/customer/internal/models"
	"gitea.pena/PenaSide/customer/pkg/env"
	"github.com/golang-jwt/jwt/v5"
)

// TODO: обработать возможность читать конфиги ещё по json

func Configuration(path string) (*models.Config, error) {
	config, err := env.Parse[models.Config](path)
	if err != nil {
		return nil, err
	}

	//if err := utils.ValidateConfigurationURLs(&config.Service); err != nil {
	//	return nil, err
	//}

	iniJWTConfiguration(&config.ExternalCfg.JwtCfg)

	return config, nil
}

func iniJWTConfiguration(config *models.JWTConfiguration) {
	config.Algorithm = *jwt.SigningMethodRS256
	config.ExpiresIn = 15 * time.Minute
}
